aagc.vo

## Class GetElencoPianoTerapeuticoDemResponse

- java.lang.Object
- - aagc.vo.GetElencoPianoTerapeuticoDemResponse

-     public class GetElencoPianoTerapeuticoDemResponse
      extends java.lang.Object

  Classe Java per getElencoPianoTerapeuticoDemResponse complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="getElencoPianoTerapeuticoDemResponse">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="protocolloTransazione" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="timestamp" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="listaProtocolliPT" type="{http://www.nsisr.puglia.it/Schemas/}elencoRicevuta" maxOccurs="unbounded" minOccurs="0"/>
               <element name="codEsito" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="elencoErrori" type="{http://www.nsisr.puglia.it/Schemas/}elencoErrori" maxOccurs="unbounded" minOccurs="0"/>
               <element name="elencoComunicazioni" type="{http://www.nsisr.puglia.it/Schemas/}elencoComunicazioni" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codEsito`
    `protected java.util.List<ElencoComunicazioni>` | `elencoComunicazioni`
    `protected java.util.List<ElencoErrori>` | `elencoErrori`
    `protected java.util.List<ElencoRicevuta>` | `listaProtocolliPT`
    `protected java.lang.String` | `protocolloTransazione`
    `protected java.lang.String` | `timestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetElencoPianoTerapeuticoDemResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodEsito()` Recupera il valore della proprietà codEsito.
    `java.util.List<ElencoComunicazioni>` | `getElencoComunicazioni()` Gets the value of the elencoComunicazioni property.
    `java.util.List<ElencoErrori>` | `getElencoErrori()` Gets the value of the elencoErrori property.
    `java.util.List<ElencoRicevuta>` | `getListaProtocolliPT()` Gets the value of the listaProtocolliPT property.
    `java.lang.String` | `getProtocolloTransazione()` Recupera il valore della proprietà protocolloTransazione.
    `java.lang.String` | `getTimestamp()` Recupera il valore della proprietà timestamp.
    `void` | `setCodEsito(java.lang.String value)` Imposta il valore della proprietà codEsito.
    `void` | `setProtocolloTransazione(java.lang.String value)` Imposta il valore della proprietà protocolloTransazione.
    `void` | `setTimestamp(java.lang.String value)` Imposta il valore della proprietà timestamp.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protocolloTransazione

          protected java.lang.String protocolloTransazione

    - #### timestamp

          protected java.lang.String timestamp

    - #### listaProtocolliPT

          protected java.util.List<ElencoRicevuta> listaProtocolliPT

    - #### codEsito

          protected java.lang.String codEsito

    - #### elencoErrori

          protected java.util.List<ElencoErrori> elencoErrori

    - #### elencoComunicazioni

          protected java.util.List<ElencoComunicazioni> elencoComunicazioni

  - ### Constructor Detail

    - #### GetElencoPianoTerapeuticoDemResponse

          public GetElencoPianoTerapeuticoDemResponse()

  - ### Method Detail

    - #### getProtocolloTransazione

          public java.lang.String getProtocolloTransazione()

      Recupera il valore della proprietà protocolloTransazione.
      Returns:
        possible object is `String`

    - #### setProtocolloTransazione

          public void setProtocolloTransazione(java.lang.String value)

      Imposta il valore della proprietà protocolloTransazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getTimestamp

          public java.lang.String getTimestamp()

      Recupera il valore della proprietà timestamp.
      Returns:
        possible object is `String`

    - #### setTimestamp

          public void setTimestamp(java.lang.String value)

      Imposta il valore della proprietà timestamp.
      Parameters:
        `value` - allowed object is `String`

    - #### getListaProtocolliPT

          public java.util.List<ElencoRicevuta> getListaProtocolliPT()

      Gets the value of the listaProtocolliPT property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the listaProtocolliPT property.

      For example, to add a new item, do as follows:

              getListaProtocolliPT().add(newItem);

      Objects of the following type(s) are allowed in the list `ElencoRicevuta`

    - #### getCodEsito

          public java.lang.String getCodEsito()

      Recupera il valore della proprietà codEsito.
      Returns:
        possible object is `String`

    - #### setCodEsito

          public void setCodEsito(java.lang.String value)

      Imposta il valore della proprietà codEsito.
      Parameters:
        `value` - allowed object is `String`

    - #### getElencoErrori

          public java.util.List<ElencoErrori> getElencoErrori()

      Gets the value of the elencoErrori property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the elencoErrori property.

      For example, to add a new item, do as follows:

              getElencoErrori().add(newItem);

      Objects of the following type(s) are allowed in the list `ElencoErrori`

    - #### getElencoComunicazioni

          public java.util.List<ElencoComunicazioni> getElencoComunicazioni()

      Gets the value of the elencoComunicazioni property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the elencoComunicazioni property.

      For example, to add a new item, do as follows:

              getElencoComunicazioni().add(newItem);

      Objects of the following type(s) are allowed in the list `ElencoComunicazioni`